org.apache.solr.store.hdfs

## Class HdfsFileWriter

- java.lang.Object
- - org.apache.lucene.store.DataOutput
  - - org.apache.lucene.store.IndexOutput
    - - org.apache.lucene.store.OutputStreamIndexOutput
      - - org.apache.solr.store.hdfs.HdfsFileWriter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class HdfsFileWriter
      extends OutputStreamIndexOutput

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BUFFER_SIZE`
    `static String` | `HDFS_SYNC_BLOCK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HdfsFileWriter(org.apache.hadoop.fs.FileSystem fileSystem, org.apache.hadoop.fs.Path path, String name)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.store.OutputStreamIndexOutput

      `close, getChecksum, getFilePointer, writeByte, writeBytes`

    - ### Methods inherited from class org.apache.lucene.store.IndexOutput

      `getName, toString`

    - ### Methods inherited from class org.apache.lucene.store.DataOutput

      `copyBytes, writeBytes, writeInt, writeLong, writeMapOfStrings, writeSetOfStrings, writeShort, writeString, writeStringSet, writeStringStringMap, writeVInt, writeVLong, writeZInt, writeZLong`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### HDFS_SYNC_BLOCK

          public static final String HDFS_SYNC_BLOCK

      See Also:
        Constant Field Values

    - #### BUFFER_SIZE

          public static final int BUFFER_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HdfsFileWriter

          public HdfsFileWriter(org.apache.hadoop.fs.FileSystem fileSystem,
                                org.apache.hadoop.fs.Path path,
                                String name)
                         throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.